import { callWorkerFunction, registerWorkerFunction } from '../WorkerFunction';

// 申明方法
export function random(num: number)
{
  let sum = 0;
  for (let i = 0; i < num; i++)
  {
    sum += Math.random();
  }

  return sum;
}

// 註冊方法
registerWorkerFunction('random', random);
declare global
{
  interface WorkerFunctionMap
  {
    random: typeof random // 申明為Worker方法
  }
}

// 調用方法
callWorkerFunction('random', [100]);
